
Collection Data Form - Bug #555

Ensconet-Button mit Bug

09/18/2018 11:17 AM - G. Dröge

Status: Closed Start date: 09/18/2018

Priority: Normal Due date:  

Assignee: D. Röpert % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Beim Clicken auf "Ensconet" kommt eine Fehlermeldung: Laufzeitfehler 1004, Anwendungs- und objektdefinierter Fehler

Beim Custom-Button tauchen drei Ensconet-Spalten ohne x mit auf. Ich fürchte, da gibt es einen kausalen Zusammenhang :)

History

#1 - 09/18/2018 11:55 AM - D. Röpert

- Assignee changed from R. Admin to D. Röpert

- % Done changed from 0 to 100

1.  

Private Const lastColumn = 9 * 26 + 7 '"IG"

Private Const lastColumnStr = "IG"

 

1.  

Private Function findFirstActiveCol() As Integer   

Dim i As Long

    For i = 4 To 26 * 9 + 7 'columns D(=4) to IZ(=9*26)

        If Not Columns(i).Hidden Then

                            findFirstActiveCol = i

Exit Function

        End If

    Next i

End Function

1.  

' redefines the views (cannot create new ones)

Public Sub redefineViews()

    DataForm.Activate

    redefineView "Voucher", "D", "R"

    redefineView "Associations", "S", "AA"

    redefineView "Gathering", "AB", "AH"

    redefineView "Geography", "AI", "BN"
    redefineView "Taxonomy", "BO", "CL"

    redefineView "Ecology", "CM", "EF"

    redefineView "Multimedia", "EG", "GN"

    redefineView "DNA", "GO", "HZ"

    redefineView "ENSCONET", "IA", "IG"

    redefineView "ShowAll", "D", "IG"

End Sub

#2 - 09/18/2018 01:51 PM - D. Röpert

- Status changed from New to Closed

Powered by TCPDF (www.tcpdf.org)

05/04/2024 2/2

http://www.tcpdf.org

